functions {
    real half_normal_lpdf(real y, real sgm){
        if (y > 0.0){
            return normal_lpdf(y | 0.0, sgm);
        } else {
            return log(0.0);
        }
    }
}
data {
    int N;
    real RT[N];
}
parameters {
    real mu;
    real<lower = 0.0> sgm;
    real<lower = 0.0> lmd;
}
model {
    mu ~ normal(0.0, 1000);
    sgm ~ half_normal(1000);
    lmd ~ half_normal(1000);
    for(i in 1:N){
        RT[i]  ~ exp_mod_normal(mu, sgm, lmd);
    }
}
